Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.

Path Parameters

categoryId
string
required

Workout library category id.

Example:

"67f1234567890abcdef1234"

clientId
string
required

Client in the company bound to the Public API token.

Pattern: ^[a-fA-F0-9]{24}$

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:10
Required range: 1 <= x <= 100
favourites
boolean
muscleGroups
string
equipments
string
categories
string
levels
string
coaches
string

Response

List of templates in the category with pagination.

data
object
required
meta
object
required